Zum Hauptinhalt springen
POST
/
cms
/
blogs
/
2026-03
/
posts
/
batch
/
read
cURL
curl --request POST \
  --url https://api.hubapi.com/cms/blogs/2026-03/posts/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": 123,
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "blogAuthorId": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableGoogleAmpOutputOverride": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "password": "<string>",
      "postBody": "<string>",
      "postSummary": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "rssBody": "<string>",
      "rssSummary": "<string>",
      "slug": "<string>",
      "state": "<string>",
      "tagIds": [
        123
      ],
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

archived
boolean

Whether to return only results that have been archived.

Body

*/*
inputs
string[]
erforderlich

Strings to input.

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Time of batch operation completion.

results
object[]
erforderlich

Results of batch operation.

startedAt
string<date-time>
erforderlich

Time of batch operation start.

status
enum<string>
erforderlich

Status of batch operation.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links associated with batch operation.

requestedAt
string<date-time>

Time of batch operation request.

Last modified on April 9, 2026